Name: libpcap
Version: 0.9.7
Release: alt1
Serial: 2

Summary: A system-independent interface for user-level packet capture
License: BSD
Group: System/Libraries
Url: http://www.tcpdump.org
Packager: Dmitry V. Levin <ldv@altlinux.org>

# %url/release/libpcap-%version.tar.gz
Source: libpcap-%version.tar
Patch: libpcap-%version-%release.patch

%def_disable static

%define vers_maj 0.8
%define libname libpcap%vers_maj
%define soname libpcap.so.%vers_maj

# Automatically added by buildreq on Tue Jun 03 2003
BuildRequires: flex

%package -n %libname
Summary: A system-independent interface for user-level packet capture
Group: System/Libraries
Provides: %name = %serial:%version-%release
Obsoletes: %name

%package devel
Summary: Development environment for the packet capture library
Group: Development/C
Requires: %libname = %serial:%version-%release

%package devel-static
Summary: Static packet capture library
Group: Development/C
Requires: %name-devel = %serial:%version-%release

%description
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

%description -n %libname
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

%description devel
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

This package contains development files needed to develop libpcap-based
applications such as tcpdump, etc.

%description devel-static
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

This package contains the static pcap library needed to develop statically
linked libpcap-based applications.

%prep
%setup -q
%patch -p1
bzip2 -9k CHANGES

%build
autoreconf -fisv
export ac_cv_lbl_proc_net_dev=yes
%configure --enable-ipv6

# First build shared,
%make_build CCOPT="%optflags %optflags_shared"
mkdir -p shared
gcc -shared -o shared/libpcap.so.%version \
	-Wl,-soname,%soname -Wl,--version-script,libpcap.map \
	-Wl,-whole-archive,libpcap.a,-no-whole-archive

%if_enabled static
# then static.
make clean
%make_build CCOPT="%optflags"
%endif #static

%install
%make_install install-include install-man DESTDIR=%buildroot
mkdir -p %buildroot%_libdir
install -pm644 shared/libpcap.so.%version %buildroot%_libdir/
ln -s libpcap.so.%version %buildroot%_libdir/%soname
ln -s libpcap.so.%version %buildroot%_libdir/libpcap.so
%if_enabled static
%make_install install-static DESTDIR=%buildroot
%endif #static

mkdir -p %buildroot%_includedir/net
ln -s ../pcap-bpf.h %buildroot%_includedir/net/bpf.h

%define _customdocdir %_docdir/libpcap-%version

%post -n %libname -p %post_ldconfig
%postun -n %libname -p %postun_ldconfig

%files -n %libname
%_libdir/*.so.*
%doc CHANGES.bz2 CREDITS LICENSE README README.linux TODO

%files devel
%_includedir/*.h
%_includedir/*/*.h
%_libdir/*.so
%_mandir/man?/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif #static

%changelog
* Thu Aug 02 2007 Dmitry V. Levin <ldv@altlinux.org> 2:0.9.7-alt1
- Updated to 0.9.7.

* Sat Mar 03 2007 Dmitry V. Levin <ldv@altlinux.org> 2:0.9.5-alt1
- Updated to 0.9.5.
- Enable /proc/net/dev support.
- Do not build static library by default.

* Thu Nov 17 2005 Dmitry V. Levin <ldv@altlinux.org> 2:0.9.4-alt1
- Updated to 0.9.4.
- Imported ppp patch from Fedora, align fix from Owl and
  manpage fix from Debian.
- Rediffed patches.
- Restricted list of global symbols exported by the library.

* Fri May 07 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.2-alt2
- Rebuilt with glibc-2.3.x.

* Tue Mar 30 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.2-alt1
- Updated to 0.8.2.

* Tue Jan 13 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.1-alt3
- libpcap-devel: provide %_includedir/net/bpf.h for compatibility.

* Sat Jan 10 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.1-alt2
- Build with explicitly enabled LFS suppport.

* Fri Jan 09 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.1-alt1
- Updated to 0.8.1, updated patches.
- Renamed libpcap to libpcap0.8.
- Override result of configure test for /proc/net/dev.

* Tue Jun 03 2003 Dmitry V. Levin <ldv@altlinux.org> 2:0.7.2-alt2
- Corrected the timeout handling patch to do it in the packet
  receive loop rather than only once before the loop and to
  return on timeout (Owl).

* Thu Feb 27 2003 Dmitry V. Levin <ldv@altlinux.org> 2:0.7.2-alt1
- Updated to 2:0.7.2-alt1.

* Thu Sep 12 2002 Dmitry V. Levin <ldv@altlinux.org> 2:0.7.1-alt3
- Updated %%post/%%postun scripts.
- Updated devel-static requirements.

* Thu Apr 18 2002 Dmitry V. Levin <ldv@alt-linux.org> 2:0.7.1-alt2
- Added pcap_linux_honor_timeout patch from nmap project
 (slightly modified to avoid pcap-based software breakage).

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 2:0.7.1-alt1
- Updated code to 0.7.1 release.
- Moved static library to devel-static subpackage.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 0.6.2-ipl1mdk
- 0.6.2

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 0.6.1-ipl1mdk
- 0.6.1
- Enabled ipv6 support.

* Fri Sep 01 2000 Dmitry V. Levin <ldv@fandra.org> 0.5.2-ipl1mdk
- 0.5.2

* Fri Jul 21 2000 Dmitry V. Levin <ldv@fandra.org> 0.5-ipl1mdk
- RE and Fandra adaptions.

* Thu Jul 20 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5-1mdk
- 0.5 stable
- Split from tcpdump source to is own source
- %files list cleanup
- Added dynamic lib - dirty hack
- split %%name and -devel
